gSOAP UDDI v2: uddi2__get_USCOREassertionStatusReport Class Reference

Main Page | Class List | File List | Class Members | File Members | Related Pages

# uddi2__get_USCOREassertionStatusReport Class Reference

Schema urn:uddi-org:api_v2:"get_assertionStatusReport". More...

`#include <uddi_v2.h>`

List of all members.

## Public Member Functions
| uddi2__get_USCOREassertionStatusReport (struct soap *)
| Member declared in uddi2-typemap.dat.
| uddi2__get_USCOREassertionStatusReport (struct soap *, const char *completionStatus)
| Member declared in uddi2-typemap.dat.
uddi2__assertionStatusReport * | send (const char *endpoint, char *authInfo)
| Member declared in uddi2-typemap.dat.
## Public Attributes
char * | authInfo
| Element reference "urn:uddi-org:api_v2":authInfo.
char * | completionStatus
| Element reference "urn:uddi-org:api_v2":completionStatus.
char * | generic
| Attribute generic of type xs:string.
soap * | soap
| A handle to the soap struct context that manages this class instance.

## Detailed Description

Schema urn:uddi-org:api_v2:"get_assertionStatusReport".

Provides the ability to determine the status of current and outstanding publisher assertions. The results can be restricted by setting the completionStatus property.

See http://uddi.org/pubs/ProgrammersAPI_v2.htm#_Toc25137738

## Constructor & Destructor Documentation

uddi2__get_USCOREassertionStatusReport::uddi2__get_USCOREassertionStatusReport | ( | struct soap * | soap | ) |

  | Member declared in uddi2-typemap.dat. Parameters:
  `[in]` | soap | gSOAP context
Creates an instance of the get_USCOREassertionStatusReport class.

uddi2__get_USCOREassertionStatusReport::uddi2__get_USCOREassertionStatusReport | ( | struct soap * | soap,
|  | const char * | completionStatus
| ) |

  | Member declared in uddi2-typemap.dat. Parameters:
  `[in]` | soap | gSOAP context
  `[in]` | completionStatus | completion status string
Creates an instance of the get_USCOREassertionStatusReport class using the specified completion status.

## Member Function Documentation

uddi2__assertionStatusReport * uddi2__get_USCOREassertionStatusReport::send | ( | const char * | endpoint,
|  | char * | authInfo
| ) |

  | Member declared in uddi2-typemap.dat. Parameters:
  `[in]` | endpoint | URL of the UDDI server
  `[in]` | authInfo | authorization token provided by the UDDI server
Returns: A pointer to a uddi2__assertionStatusReport object or NULL on error Send a request to a UDDI service to get the status of current and outstanding publisher assertions.

## Member Data Documentation

char* uddi2__get_USCOREassertionStatusReport::authInfo

| Element reference "urn:uddi-org:api_v2":authInfo. Required element

char* uddi2__get_USCOREassertionStatusReport::completionStatus

| Element reference "urn:uddi-org:api_v2":completionStatus. Optional element

char* uddi2__get_USCOREassertionStatusReport::generic

| Attribute generic of type xs:string. Required attribute

struct soap* uddi2__get_USCOREassertionStatusReport::soap

| A handle to the soap struct context that manages this class instance.

The documentation for this class was generated from the following file:

- /Users/engelen/Projects/gsoap/doc/uddi2/uddi_v2.h